خرید هاست خرید سرور

ارورهای ارور لاگ

سلام کسی می تونه این دو ارور مربوط به چیه و چگونه رفع میشه؟

PHP Warning:  urldecode() expects parameter 1 to be string, array 
given in /home/burskala/public_html/wp-includes/class-wp-query.php on line 2197

The get_product function is deprecated since version 3.0. Replaceith
 wc_get_product.

سلام

deprecated یعنی از رده خارج شده.
تو برنامه نویسی ماژول ها، توابع و دستوراتی که از رده خارج میشن deprecate میشن.

خطا میگه در فایل home/burskala/public_html/wp-includes/class-wp-query.php خط 2197 فانکشن get_product رو که از رده خارج شده به wc_get_product تغییر بده.

2 Likes
$q['author'] = addslashes_gpc( '' . urldecode( $q['author'] ) );

تو این خط که گفتید این هست؟

ببینید
این خطایی که برای شما نمایان شده میگه از ورژن 3 ووکامرس به بعد دیگه بجای get_product از wc_get_product استفاده میکنیم
این مورد برمیگرده به قالبتون , در قالبتون باید به جای تابع منقضی شده از تابع جدید استفاده کنید
( البته ممکنه در قالب یا افزونه خاص باشه که این نوتیس رو داده)